Subject: [pim] a problem about switching to SPT

From: "me" <[email-masked]>
Date: Tue, 24 Sep 2002 11:16:50 +0800

Hi, everyone
 RFC2362 says:
  When a router with a (S,G) entry and a cleared SPT-bit starts to
   receive packets from the new source S on the iif for the (S,G) entry,
   and that iif differs from the (*,G) entry's iif, the router sets the
   SPT-bit, and sends a Join/Prune message towards the RP, indicating
   that the router no longer wants to receive packets from S via the
   shared RP-tree.

I am puzzled with the bold condition when (S, G) decides whether to change
the SPT bit.If SPT is exactly the same as the RPT at the last hop router and
the router just before it, so data arriving at the last hop router at the
same interface as (*, G), so who will initiate the switch to SPT, the SPT
bit won't be set forever?

Thanks a lot

Nescafe